# Crow: crow::RuleParameterTraits< T > Struct Template Reference

crow::RuleParameterTraits< T > Struct Template Reference

`#include <routing.h>`

## Public Types

using | self_t = T

## Public Member Functions

WebSocketRule & | websocket ()
self_t & | name (std::string name) noexcept
self_t & | methods (HTTPMethod method)
template<typename ... MethodArgs>
self_t & | methods (HTTPMethod method, MethodArgs ... args_method)

## Detailed Description

template<typename T>
struct crow::RuleParameterTraits< T >

Allows the user to assign parameters using functions.

`rule.name("name").methods(HTTPMethod::POST)`

The documentation for this struct was generated from the following file:

- /home/farook/cppsrv/crow-0.3-fordoc/include/crow/routing.h